Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg12
Class SVGOMWheelEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMUIEvent
              org.apache.batik.dom.svg12.SVGOMWheelEvent

All Implemented Interfaces:
  Cloneable, OriginalEvent, Event, UIEvent

    public class SVGOMWheelEvent

extends DOMUIEvent

SVG 1.2 mouse wheel event.

Field Summary
`protected int` | `wheelDelta` The number of clicks the mouse wheel has been moved.

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`bubbleLimit, cancelable, currentTarget, defaultActions, eventPhase, isBubbling, namespaceURI, originalEvent, preventDefault, stopImmediatePropagation, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`SVGOMWheelEvent()`

Method Summary
`int` | `getWheelDelta()` Returns the number of mouse wheel clicks.
`void` | `initWheelEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int wheelDeltaArg)` Initializes this SVGOMWheelEvent object.
`void` | `initWheelEventNS(String namespaceURIArg, String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int wheelDeltaArg)` Initializes this KeyboardEvent object.

Methods inherited from class org.apache.batik.dom.events.DOMUIEvent
`getDetail, getView, initUIEvent, initUIEventNS, split`

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`addDefaultAction, clone, cloneEvent, getBubbleLimit, getBubbles, getCancelable, getCurrentTarget, getDefaultActions, getDefaultPrevented, getEventPhase, getNamespaceURI, getOriginalEvent, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, setBubbleLimit, stopImmediatePropagation, stopPropagation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Field Detail

### wheelDelta

    protected int wheelDelta

  The number of clicks the mouse wheel has been moved.

Constructor Detail

### SVGOMWheelEvent

    public SVGOMWheelEvent()

Method Detail

### getWheelDelta

    public int getWheelDelta()

  Returns the number of mouse wheel clicks.

### initWheelEvent

    public void initWheelEvent(String typeArg,
                               boolean canBubbleArg,
                               boolean cancelableArg,
                               AbstractView viewArg,
                               int wheelDeltaArg)

  Initializes this SVGOMWheelEvent object.

  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `viewArg` - Specifies the `Event`'s `AbstractView`.
    `wheelDeltaArg` - Specifices the number of clicks the mouse wheel has been moved.

### initWheelEventNS

    public void initWheelEventNS(String namespaceURIArg,
                                 String typeArg,
                                 boolean canBubbleArg,
                                 boolean cancelableArg,
                                 AbstractView viewArg,
                                 int wheelDeltaArg)

  Initializes this KeyboardEvent object.

  Parameters:
    `namespaceURIArg` - Specifies the event namespace URI.
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `viewArg` - Specifies the `Event`'s `AbstractView`.
    `wheelDeltaArg` - Specifices the number of clicks the mouse wheel has been moved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.